Summary:	Simple scanning utility
Summary(pl.UTF-8):	Proste narzędzie do skanowania
Name:		simple-scan
Version:	42.5
Release:	1
License:	GPL v3+
Group:		X11/Applications/Multimedia
Source0:	https://download.gnome.org/sources/simple-scan/42/%{name}-%{version}.tar.xz
# Source0-md5:	5b1819c18f6f1642891c91c0e2b7414e
URL:		https://launchpad.net/simple-scan
BuildRequires:	PackageKit-devel >= 1.1.5
BuildRequires:	cairo-devel
BuildRequires:	colord-devel
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	itstool
BuildRequires:	libgusb-devel >= 0.2.7
BuildRequires:	libhandy1-devel >= 1.5.0
BuildRequires:	libjpeg-devel
BuildRequires:	libwebp-devel
BuildRequires:	meson >= 0.38.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sane-backends-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.22.0
BuildRequires:	vala-colord
BuildRequires:	vala-libgusb >= 0.2.7
BuildRequires:	vala-libhandy1 >= 1.5.0
BuildRequires:	yelp-tools
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires(post,postun):	glib2 >= 1:2.38
Requires:	PackageKit >= 1.1.5
Requires:	glib2 >= 1:2.38
Requires:	hicolor-icon-theme
Requires:	gtk+3 >= 3.24
Requires:	libgusb >= 0.2.7
Requires:	libhandy1 >= 1.5.0
Suggests:	colord
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple Scan is an easy-to-use application, designed to let users
connect their scanner and quickly have the image/document in an
appropriate format.

%description -l pl.UTF-8
Simple Scan to łatwa w użyciu aplikacja, pozwalająca użytkownikom
podłączyć skaner i szybko otrzymać dokument we właściwym formacie.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/simple-scan
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml
%{_datadir}/metainfo/simple-scan.appdata.xml
%{_desktopdir}/simple-scan.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.SimpleScan.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.SimpleScan-symbolic.svg
%{_mandir}/man1/simple-scan.1*
%changelog
* Thu Sep 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/simple-scan.git;a=log;h=master

* Thu Sep 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 4b5f470
- updated to 42.5

* Wed Apr 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 24bdf14
- updated to 42.1

* Tue Mar 29 2022 Jan Palus <atler@pld-linux.org> 06b4cae
- up to 42.0

* Thu Dec 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 59d55c1
- updated to 40.7

* Sun Oct 31 2021 Jakub Bogusz <qboosh@pld-linux.org> f299d2c
- updated to 40.6

* Thu Sep 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 3791ee8
- updated to 40.5

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 2e8ca96
- BR: vala-libhandy1

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> a17505a
- updated to 40.1

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 27b0a96
- updated to 40.0

* Sat Mar 13 2021 Jakub Bogusz <qboosh@pld-linux.org> c78ebc6
- updated to 3.38.5

* Wed Dec 09 2020 Jakub Bogusz <qboosh@pld-linux.org> dbe2e5c
- updated to 3.38.2

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d28083
- updated to 3.38.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 9282d69
- updated to 3.38.0

* Fri Sep 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 9526915
- updated to 3.36.6

* Fri Jul 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 9601585
- updated to 3.36.4

* Wed Jun 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ec4508
- updated to 3.36.3

* Wed May 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 0f16f1b
- updated to 3.36.2.1

* Thu Apr 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 2aa7d5c
- updated to 3.36.2

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> c4f71ad
- updated to 3.34.2; PackageKit disabled for now

* Mon Apr 09 2018 Jan Rękorajski <baggins@pld-linux.org> 4cae168
- remove unsupported locale, rel 2

